#!/bin/sh
#********************************************************************************
# Licensed Materials - Property of IBM
# IBM Quick Deployer
# (c) Copyright IBM Corporation 2017. All Rights Reserved.
#
# U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#
#********************************************************************************

	workingDir=`pwd -P`
	oracleOSUserName=$1
	echo " "
	echo "Creating swap space"
	#Create swap space, oracle groups, oracle user
	RAMSize=`grep MemTotal /proc/meminfo |awk '{print $2}'`
	if [ $RAMSize -lt 16000000 ]; then
		swapsize=$RAMSize
	else
		swapsize=15957904
    fi
	umask 022
	# use count value of "8174592" for 8GB RAM and "15957904" for 16GB RAM
	dd if=/dev/zero of=/swapfile1 bs=1024 count=$swapsize
	mkswap /swapfile1
	swapon /swapfile1
	if [ $? -gt 0 ];
  	then
  		 echo "ERROR: Failed to set swapfile1 "
  		 exit 1
  	fi
	echo " "
	echo "Show swap space"
	#Show swap space creation
	free -m;
	
	echo " "
	echo " "
	echo "Replace sysctl.conf"
	#Replace sysctl.conf
    cp /etc/sysctl.conf /etc/sysctl_orig.conf
	cp -f ${workingDir}/sysctl.conf /etc/
	if [ $? -gt 0 ];
  	then
  		echo "ERROR: Failed to move [${workingDir}]/sysctl.conf /etc"
  		exit 1
  	fi
	
	/sbin/sysctl -p
	if [ $? -gt 0 ];
  	then
  		echo "ERROR: Failed to run [/sbin/sysctl -p]"
  		exit 1
  	fi
  	
	echo " "
	echo "Replace limits.conf"
	#Replace limits.conf
    cp /etc/security/limits.conf /etc/security/limits_orig.conf
    cp ${workingDir}/limits.conf ${workingDir}/temp_limits.conf
    sed -i s%_oracleOSUserName_%$oracleOSUserName% ${workingDir}/temp_limits.conf
	cp -f ${workingDir}/temp_limits.conf /etc/security/limits.conf
	if [ $? -gt 0 ];
  	then
  		echo "ERROR: Failed to move [${workingDir}]/limits.conf /etc/security/"
  		exit 1
  	fi
	echo " "
